<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_routing_table.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/Base_routing_table.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "route_id",
      footer: "Foots",
      cnName: "路由查询",
      name: "/Base_routing_table",
      url: "/Base_routing_table/",
      sortName: "route_id",
    });
    const editFormFields = ref({
      route_began: "",
      route_end: "",
      route_area: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "起点地址",
          required: true,
          field: "route_began",
          type: "text",
        },
        {
          title: "终点地址",
          required: true,
          field: "route_end",
          type: "text",
        },
        {
          title: "区域",
          required: true,
          field: "route_area",
          type: "select",
          dataKey: "area",
        },
      ]
    ]);
    const searchFormFields = ref({
      route_began: "",
      route_end: "",
    });
    const searchFormOptions = ref([
      [
        { title: "起点地址", field: "route_began", type: "like" },
        { title: "终点地址", field: "route_end", type: "like" },
      ],
    ]);
    const columns = ref([
      {
        field: "route_id",
        title: "路由ID",
        type: "guid",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "route_began",
        title: "起点地址",
        type: "string",
        width: 120,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "route_end",
        title: "终点地址",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "route_area",
        title: "区域",
        type: "string",
        width: 120,
        align: "left",
        bind: { key: "area", data: [] },
      },
      {
        field: "route_creator",
        title: "创建者",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "route_createtime",
        title: "创建时间",
        type: "datetime",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "Remark1",
        title: "备注1",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "Remark2",
        title: "备注2",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "Remark3",
        title: "备注3",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "Remark4",
        title: "备注4",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "Remark5",
        title: "备注5",
        type: "string",
        width: 120,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
